curl --request GET \
--url https://api.mansafinance.co/api/v2/liquidity/utilization/proofs/{id} \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"currency": "<string>",
"corridors": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"origin": "<string>",
"destination": "<string>",
"amount": 123,
"currency": "<string>",
"routes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"network": "<string>",
"source": {
"instrument": "<string>",
"instrument_id": "<string>",
"instrument_provider": "<string>",
"amount": 123,
"currency": "<string>"
},
"destination": {
"instrument": "<string>",
"instrument_id": "<string>",
"instrument_provider": "<string>",
"amount": 123,
"currency": "<string>"
},
"document": {
"type": "<string>",
"format": "<string>",
"url": "<string>",
"id": "<string>",
"file": "<string>"
},
"fx_rate": 123
}
]
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Retrieve full details of a single utilization proof record including all corridors and routes.
curl --request GET \
--url https://api.mansafinance.co/api/v2/liquidity/utilization/proofs/{id} \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"currency": "<string>",
"corridors": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"origin": "<string>",
"destination": "<string>",
"amount": 123,
"currency": "<string>",
"routes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"network": "<string>",
"source": {
"instrument": "<string>",
"instrument_id": "<string>",
"instrument_provider": "<string>",
"amount": 123,
"currency": "<string>"
},
"destination": {
"instrument": "<string>",
"instrument_id": "<string>",
"instrument_provider": "<string>",
"amount": 123,
"currency": "<string>"
},
"document": {
"type": "<string>",
"format": "<string>",
"url": "<string>",
"id": "<string>",
"file": "<string>"
},
"fx_rate": 123
}
]
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}API key for authentication
JWT token following RFC001 specification
ID of the utilization proof